<template>
  <div class="table-hour-column d-flex flex-column flex-grow-0">
    <div class="font-weight-bold text-center py-1">{{ dateString }}</div>
    <div class="table-hour-column-items d-flex flex-column flex-grow-0 text-center" style="width: 3rem;">
      <table-temperature-data-item :date="date" :hour="hour" variable="ecmwf.temperature.atlantic"/>
      <table-humidity-data-item :date="date" :hour="hour" variable="ecmwf.relative_humidity.atlantic"/>
      <table-pressure-data-item :date="date" :hour="hour" variable="ecmwf.pressure.atlantic"/>
      <table-hour-data-item :date="date" :hour="hour" variable="ecmwf.precipitation.atlantic"/>
      <table-wind-dir-data-item :date="date" :hour="hour"/>
      <table-wind-int-data-item :date="date" :hour="hour"/>
    </div>
  </div>
</template>

<script>
import WorkspaceGetter from '@/workspace/mixins/WorkspaceGetter'
import TableHourDataItem from '@/workspace/components/query/TableHourDataItem'
import TableTemperatureDataItem from '@/workspace/components/query/TableTemperatureDataItem'
import TableHumidityDataItem from '@/workspace/components/query/TableHumidityDataItem'
import TablePressureDataItem from '@/workspace/components/query/TablePressureDataItem'
import TableWindDirDataItem from '@/workspace/components/query/TableWindDirDataItem'
import TableWindIntDataItem from '@/workspace/components/query/TableWindIntDataItem'

export default {
  name: 'tabledaycolumn',

  mixins: [
    WorkspaceGetter,
  ],

  props: {
    latitude: {
      type: Number,
      required: true
    },

    longitude: {
      type: Number,
      required: true
    },

    date: {
      type: Number,
      required: true,
    },

    hour: {
      type: Number,
      required: true,
    },
  },

  computed: {
    referenceTime: {
      get() {
        return this.$store.getters.workspaceReferenceTime(this.workspaceId)
      },
    },

    query: {
      get() {
        return this.$store.getters.workspaceQuery(this.workspaceId)
      }
    },

    queryRequestCache: {
      get() {
        return this.$store.getters.workspaceQueryRequestCache(this.workspaceId)
      }
    },

    dateString: {
      get() {
        return this.hour
      }
    },
  },

  components: {
    TableHourDataItem,
    TableTemperatureDataItem,
    TableHumidityDataItem,
    TablePressureDataItem,
    TableWindDirDataItem,
    TableWindIntDataItem,
  },
}
</script>

